Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.rl
Class RLClass

`java.lang.Object
oracle.rules.rl.RLClass`

All Implemented Interfaces:
  java.io.Serializable

public class RLClass
extends java.lang.Object
implements java.io.Serializable

Part of reflection API for RL classes.

See Also:
  `Class`, Serialized Form

Field Summary
`protected RLClass` | `componentType`
`protected RLClass` | `superclass`

Constructor Summary
`protected` | `RLClass(java.lang.String name_, RLClass superclass_, RLProperty[] properties_, RuleSession ruleSession_)` Not public.

Method Summary
`static RLClass` | `forName(java.lang.String className, RuleSession session)` Get the RLClass given its fully qualified name and rule session in which it is defined.
`RLClass` | `getComponentType()` If this RLClass is an array, get the type of the array component
`RLProperty[]` | `getDeclaredProperties()` Get all RLPropertys declared by this RLClass
`RLProperty` | `getDeclaredProperty(java.lang.String name)` Get the RLProperty this RLClass declares by name
`java.lang.String` | `getName()` Get fully qualified name of this RLClass
`RLProperty[]` | `getProperties()` Get all RLPropertys implemented by this RLClass or a superclass
`RLProperty` | `getProperty(java.lang.String name)` Get property implemented by this RLClass or a superclass by name
`RuleSession` | `getRuleSession()` Get the RuleSession that defines this RLClass
`RLClass` | `getSuperclass()` Get superclass
`boolean` | `isArray()` Test whether this RLClass is an array
`boolean` | `isAssignableFrom(RLClass cls)` Test whether given RLClass can be assigned to this RLClass
`boolean` | `isInstance(RLObject obj)` Test whether given RLObject is an instance of this RLClass
`RLObject` | `newInstance()` create and return a new instance (RLObject) of this RLClass, initialized per the RL class defintion.
`protected void` | `setProperties(RLProperty[] properties_)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### superclass

    protected RLClass superclass

### componentType

    protected RLClass componentType

Constructor Detail

### RLClass

    protected RLClass(java.lang.String name_,
                      RLClass superclass_,
                      RLProperty[] properties_,
                      RuleSession ruleSession_)

  Not public. Use RLClass.forName()
Parameters:
  `superclass_` -
  `properties_` -

Method Detail

### setProperties

    protected void setProperties(RLProperty[] properties_)

### forName

    public static RLClass forName(java.lang.String className,
                                  RuleSession session)
                           throws UndefinedException

  Get the RLClass given its fully qualified name and rule session in which it is defined.
  Parameters:
    `className` - fully qualified name String
    `session` - RuleSession
  Returns:
    RLClass
  Throws:
    `UndefinedException`

### getComponentType

    public RLClass getComponentType()

  If this RLClass is an array, get the type of the array component
  Returns:
    RLClass

### isArray

    public boolean isArray()

  Test whether this RLClass is an array
  Returns:
    boolean whether this RLClass is an array

### getName

    public java.lang.String getName()

  Get fully qualified name of this RLClass
  Returns:
    fully qualified name String

### getRuleSession

    public RuleSession getRuleSession()

  Get the RuleSession that defines this RLClass
  Returns:
    RuleSession

### getDeclaredProperty

    public RLProperty getDeclaredProperty(java.lang.String name)

  Get the RLProperty this RLClass declares by name
  Parameters:
    `name` - property name String
  Returns:
    RLProperty

### getDeclaredProperties

    public RLProperty[] getDeclaredProperties()

  Get all RLPropertys declared by this RLClass
  Returns:
    RLProperty[]

### getProperty

    public RLProperty getProperty(java.lang.String name)

  Get property implemented by this RLClass or a superclass by name
  Parameters:
    `name` - property name String
  Returns:
    RLProperty

### getProperties

    public RLProperty[] getProperties()

  Get all RLPropertys implemented by this RLClass or a superclass
  Returns:
    RLProperty[]

### getSuperclass

    public RLClass getSuperclass()

  Get superclass
  Returns:
    RLClass

### isAssignableFrom

    public boolean isAssignableFrom(RLClass cls)

  Test whether given RLClass can be assigned to this RLClass
  Parameters:
    `cls` - given RLClass
  Returns:
    boolean

### isInstance

    public boolean isInstance(RLObject obj)

  Test whether given RLObject is an instance of this RLClass
  Parameters:
    `obj` - given RLObject
  Returns:
    boolean

### newInstance

    public RLObject newInstance()
                         throws RLException

  create and return a new instance (RLObject) of this RLClass, initialized per the RL class defintion.
  Returns:
    RLObject new default-initialized instance of this RLClass
  Throws:
    `RLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.